### Hierarchy

- Fragment
  - NullFragment
  - WrapperBeforeFragment
  - WrapperAfterFragment
  - IfFragment
  - ElseIfFragment
  - ElseFragment
  - EndIfFragment
  - BeginForFragment
  - EndForFragment
  - HtmlFragment
  - PassThroughFragment
  - TextFragment

### Implements

- ISourcePosition

## Index

### Constructors

- constructor

### Properties

- ch
- file
- line

### Methods

- render

## Constructors

### constructor

- new Fragment(position: ISourcePosition): Fragment

- - Defined in CompilerInterface.ts:13

  #### Parameters

  - ##### position: ISourcePosition

  #### Returns Fragment

## Properties

### ch

ch: number

Implementation of ISourcePosition.ch

- Defined in CompilerInterface.ts:12

### file

file: string

Implementation of ISourcePosition.file

- Defined in CompilerInterface.ts:13

### line

line: number

Implementation of ISourcePosition.line

- Defined in CompilerInterface.ts:11

## Methods

### render

- render(ctx: Context): string

- - Defined in CompilerInterface.ts:22

  #### Parameters

  - ##### ctx: Context

  #### Returns string

Generated using TypeDoc